handling of untrusted sources is suboptimal

Bug #540790 reported by Sebastien Bacher on 2010-03-18
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Zygmunt Krynicki
Lucid
Medium
Zygmunt Krynicki

Bug Description

Binary package hint: software-center

Yesterday apt decided that universe was untrusted for some reason, trying to install something in software-center in a such case lead to have a synaptic dialog with a textview widget listing "untrusted binaries that need to be installed" and an "ok" button.
Clicking on "ok" send the user back to software-center interface with a failed installation and no explanation about the issue.

Could software-center trigger a package index update in such cases (in the current case the issue was solved with an apt-get update) or inform the user in a nice way about the issue?

description: updated
Michael Vogt (mvo) on 2010-03-18
Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Changed in software-center (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Michael Vogt (mvo) on 2010-04-06
Changed in software-center (Ubuntu Lucid):
assignee: nobody → Zygmunt Krynicki (zkrynicki)
Colin Watson (cjwatson) wrote :

15:20 <mvo> cjwatson: 540790> I want to have a look if it can be improved without new strings, but it may have to be defered

Zygmunt Krynicki (zyga) wrote :

I implemented the following behavior:
 - if an apt transaction failed because of unauthenticated source
 - and this transaction failed for the first time (so that we don't loop)
 -> update the cache (asynchronously) remember the operation
 -> retry the transaction once apt cache is up-to-date

Steve Langasek (vorlon) on 2010-04-12
Changed in software-center (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04
Colin Watson (cjwatson) wrote :

16:18 <cjwatson> bug 540790?
16:18 <mvo> -updates

Changed in software-center (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates
HX_unbanned (linards-liepins) wrote :

Any chance to see this update in Repo?

Changed in software-center (Ubuntu):
status: Confirmed → Fix Committed
Changed in software-center (Ubuntu Lucid):
status: Confirmed → Fix Committed
Omer Akram (om26er) wrote :

it seems borftsepiraat changed the status by mistake. reseting

Changed in software-center (Ubuntu):
status: Fix Committed → Confirmed
Changed in software-center (Ubuntu Lucid):
status: Fix Committed → Confirmed
Kiwinote (kiwinote) wrote :

Hi! Thanks for your bug report. As there are many duplicate bug reports regarding this issue, we will continue to track this issue over at the master bug report - bug 705988. Please continue to report any bugs you may find in software-center. Thanks again for your help!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers